Package twisted :: Package spread :: Module publish |
[frames | no frames]

## Module twisted.spread.publish

Persistently cached objects for PB.

Maintainer: Glyph Lefkowitz

Stability: semi-stable

Future Plans: None known.

Classes
`Publishable` | An object whose cached state persists across sessions.
`RemotePublished` | The local representation of remote Publishable object.

Function Summary
| ``_pubReady`(result, d2)` (internal)
| ``whenReady`(d)` Wrap a deferred returned from a pb method in another deferred that expects a RemotePublished as a result.

Function Details

### _pubReady(result, d2) (internal)

### whenReady(d) Wrap a deferred returned from a pb method in another deferred that expects a RemotePublished as a result. This will allow you to wait until the result is really available. Idiomatic usage would look like:
       publish.whenReady(serverObject.getMeAPublishable()).addCallback(lookAtThePublishable)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:56 2003 | http://epydoc.sf.net